Commit 90dfd301 authored by Jochen Sprickerhof's avatar Jochen Sprickerhof
Browse files

Use UpdateCheckMode: Tags instead of HTTP

Also Drop UpdateCheckIgnore (not needed with tags).
parent 08b6f844
Pipeline #317080345 passed with stages
in 4 minutes and 9 seconds
......@@ -177,8 +177,8 @@ Builds:
- wear
prebuild: sed -i "/include ':wear'/d" ../settings.gradle
AutoUpdateMode: Version release-%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/caarmen/nounours-android/master/build.gradle|ext.handheldVersionCode=(.*)|.|ext.handheldVersionName="(.*)"
CurrentVersion: 3.5.0
CurrentVersionCode: 350
AutoUpdateMode: Version
UpdateCheckMode: Tags ^release-.*$
UpdateCheckData: build.gradle|ext.handheldVersionCode=(.*)|.|ext.handheldVersionName="(.*)"
CurrentVersion: 3.4.8
CurrentVersionCode: 348
......@@ -22,8 +22,8 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version %v+%c
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/snoe/deedum/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2021.0221.1640
CurrentVersionCode: 16
......@@ -36,8 +36,8 @@ Builds:
- $$flutter$$/bin/flutter packages pub get
- $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://gitlab.com/jugendhackt/fff_info/raw/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.0.1
CurrentVersionCode: 7
......@@ -592,8 +592,8 @@ Builds:
gradleprops:
- buildUniversalApk
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/ProtonVPN/android-app/master/metadata/version_fdroid.txt|versionCode=(.*)|.|versionName=(.*)
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: metadata/version_fdroid.txt|versionCode=(.*)|.|versionName=(.*)
CurrentVersion: 2.6.91.0
CurrentVersionCode: 102069100
......@@ -96,8 +96,7 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk --flavor=fdroid
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
UpdateCheckIgnore: (alpha|beta|rc|RC|dev)
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
CurrentVersion: 0.8.2
CurrentVersionCode: 11
......@@ -59,8 +59,8 @@ Builds:
- $$flutter$$/bin/flutter packages pub get
- $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/CentaurusApps/clima/master/packages/clima_ui/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: packages/clima_ui/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: '1.2'
CurrentVersionCode: 5
......@@ -170,8 +170,8 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk --flavor fdroid
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/tim-smart/vouchervault/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.16
CurrentVersionCode: 16
......@@ -62,8 +62,8 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
build: $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/aeri/Nihonoari-App/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.0
CurrentVersionCode: 7
......@@ -66,8 +66,8 @@ MaintainerNotes: |-
Builds will fail when the srclib ref of flutter and the version with which
upstream has been built (https://github.com/flutter/flutter/tree/1.22.5) with differ.
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/abhinavmarwaha/wrotto-app/main/version.txt|versionCode=(.*)|.|versionName=(.*)
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: version.txt|versionCode=(.*)|.|versionName=(.*)
CurrentVersion: 0.6.1
CurrentVersionCode: 6
......@@ -238,9 +238,8 @@ Builds:
- make -C .. assets
- make -C .. packer
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckIgnore: (alpha|beta|rc)
UpdateCheckData: https://raw.githubusercontent.com/agateau/pixelwheels/master/version.properties|VERSION_CODE=(.*)|.|VERSION=(.*)
AutoUpdateMode: Version
UpdateCheckMode: Tags ^[0-9.]*$
UpdateCheckData: version.properties|VERSION_CODE=(.*)|.|VERSION=(.*)
CurrentVersion: 0.19.1
CurrentVersionCode: 20
......@@ -52,8 +52,8 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/Webierta/ahorcandroid/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.5.1
CurrentVersionCode: 7
......@@ -136,8 +136,8 @@ Builds:
gradle:
- prod
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/yellowbluesky/PixivforMuzei3/master/gradle.properties|app\.version\.code=(\d+)|.|app\.version\.name=([\d.]+)
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: gradle.properties|app\.version\.code=(\d+)|.|app\.version\.name=([\d.]+)
CurrentVersion: 3.4.3.8
CurrentVersionCode: 307
......@@ -143,8 +143,8 @@ Builds:
- $$flutter$$/bin/flutter pub run intl_utils:generate
- $$flutter$$/bin/flutter build apk
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/blockbasti/just_another_workout_timer/release/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.7.0
CurrentVersionCode: 20210518
......@@ -26,8 +26,7 @@ Builds:
gradle:
- yes
AutoUpdateMode: Version %v
UpdateCheckMode: Tags
UpdateCheckIgnore: alpha
AutoUpdateMode: Version
UpdateCheckMode: Tags ^[0-9.]*(|-RC[0-9])$
CurrentVersion: 1.0-RC2
CurrentVersionCode: 3
......@@ -446,8 +446,8 @@ MaintainerNotes: |-
upstream has been built with differ.
In that case we need to manually give the correct ref to srclib.
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/calcitem/Sanmill/master/src/ui/flutter_app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: src/ui/flutter_app/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.20
CurrentVersionCode: 1894
......@@ -212,7 +212,7 @@ Builds:
- yes
AutoUpdateMode: Version +-stable-release %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/Dar9586/NClientV2/master/app/build.gradle|versionCode\s+(\d+)|.|versionName\s"([\d.]+)-stable"
UpdateCheckMode: Tags
UpdateCheckData: app/build.gradle|versionCode\s+(\d+)|.|versionName\s"([\d.]+)-stable"
CurrentVersion: 2.7.6
CurrentVersionCode: 276
......@@ -26,8 +26,8 @@ Builds:
- export PATH=$$flutter$$/bin:$PATH
- flutter build apk --flavor fdroid
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/dozingcat/Kumquats/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.0
CurrentVersionCode: 1
......@@ -56,8 +56,8 @@ Builds:
- export PATH=$$flutter$$/bin:$PATH
- flutter build apk --flavor fdroid
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/dozingcat/MousePounce/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.2.1
CurrentVersionCode: 5
......@@ -21,8 +21,8 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk --flavor free --release --dart-define=FLAVOR=FREE
AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/EmmanuelMess/DeadlinesApp/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.1
CurrentVersionCode: 2
......@@ -129,8 +129,8 @@ Builds:
- $$flutter$$/bin/flutter config --no-analytics
- $$flutter$$/bin/flutter build apk --no-sound-null-safety
AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://gitlab.com/enjoyingfoss/feeel/-/raw/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.1.5
CurrentVersionCode: 4014
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment